This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 431660 - (CVE-2008-0674) CVE-2008-0674 pcre: buffer overflow via large UTF-8 character class
CVE-2008-0674 pcre: buffer overflow via large UTF-8 character class
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=vendorsec,reported=20080206,pu...
: Security
Depends On: 431676 431677 431678 431679 431680
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 03:58 EST by Tomas Hoger
Modified: 2008-03-06 11:37 EST (History)
2 users (show)

See Also:
Fixed In Version: 7.3-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 11:37:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Probable patch (1.42 KB, patch)
2008-02-06 04:15 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2008-02-06 03:58:26 EST
PCRE 7.6 fixed following bug:

1.  A character class containing a very large number of characters with
    codepoints greater than 255 (in UTF-8 mode, of course) caused a buffer
    overflow.

(http://pcre.org/changelog.txt)
Comment 2 Tomas Hoger 2008-02-06 04:15:21 EST
Created attachment 294082 [details]
Probable patch

Diff between 7.5 and 7.6 stripped to what seems to be a patch for this issue.
Comment 6 Tomas Hoger 2008-02-06 09:27:52 EST
This issue only affects PCRE versions 7.0 and newer.

PCRE versions as shipped in Red Hat Enterprise Linux 2.1, 3, 4 and 5 are not
affected.
Comment 7 Fedora Update System 2008-02-13 00:02:04 EST
glib2-2.14.6-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-02-15 11:26:42 EST
pcre-7.3-3.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-02-15 11:34:46 EST
pcre-7.3-3.fc7 has been submitted as an update for Fedora 7
Comment 10 Fedora Update System 2008-02-18 22:14:43 EST
pcre-7.3-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-02-18 22:20:29 EST
pcre-7.3-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pcre'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1842
Comment 12 Fedora Update System 2008-03-06 11:36:36 EST
pcre-7.3-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.